org.apache.cassandra.service

## Class CacheService.CounterCacheSerializer

- java.lang.Object
- - org.apache.cassandra.service.CacheService.CounterCacheSerializer

All Implemented Interfaces:
  AutoSavingCache.CacheSerializer<CounterCacheKey,ClockAndCount>

Enclosing class:
  CacheService

    public static class CacheService.CounterCacheSerializer
    extends java.lang.Object
    implements AutoSavingCache.CacheSerializer<CounterCacheKey,ClockAndCount>

### Constructor Summary

Constructors
Constructor and Description
`CacheService.CounterCacheSerializer()`

### Method Summary

Methods
`java.util.concurrent.Future<Pair<CounterCacheKey,ClockAndCount>>` `deserialize(java.io.DataInputStream in, ColumnFamilyStore cfs)`
`void` `serialize(CounterCacheKey key, DataOutputPlus out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheService.CounterCacheSerializer

    public CacheService.CounterCacheSerializer()

### Method Detail

#### serialize

    public void serialize(CounterCacheKey key,
                 DataOutputPlus out)
                   throws java.io.IOException

Specified by:
  `serialize` in interface `AutoSavingCache.CacheSerializer<CounterCacheKey,ClockAndCount>`
Throws:
  `java.io.IOException`

#### deserialize

    public java.util.concurrent.Future<Pair<CounterCacheKey,ClockAndCount>> deserialize(java.io.DataInputStream in,
                                                                               ColumnFamilyStore cfs)
                                                                                 throws java.io.IOException

Specified by:
  `deserialize` in interface `AutoSavingCache.CacheSerializer<CounterCacheKey,ClockAndCount>`
Throws:
  `java.io.IOException`